<?php
/**
 * Implements hook_form_FORM_ID_alter().
 */
function rijkshuisstijl_form_user_login_alter(&$form, &$form_state, $form_id) {
    $form['mandatory'] = array(
        '#markup'   => '<p class="mandatory">' . t('Required fields are marked with a !required', array('!required' => theme('form_required_marker'))) . '</p>',
        '#weight'   => -100
    );
    
    $form['pass']['#description'] .= ' ' . l(t('Forgot password?'), 'user/password', array('attributes' => array('title' => t('Forgot password?'))));

    $form['fieldset'] = array(
        '#type' => 'fieldset',
        '#title' => t('Login'),
        'name' => $form['name'],
        'pass' => $form['pass'],
        'remember_me' => $form['remember_me'],
    );

    unset($form['name']);
    unset($form['pass']);
    unset($form['remember_me']);
}

/**
 * Implements hook_form_FORM_ID_alter().
 */
function rijkshuisstijl_form_user_pass_alter(&$form, &$form_state, $form_id) {
    $form['mandatory'] = array(
        '#markup'   => '<p class="mandatory">' . t('Required fields are marked with a !required', array('!required' => theme('form_required_marker'))) . '</p>',
        '#weight'   => -100
    );

    $form['fieldset'] = array(
        '#type' => 'fieldset',
        '#title' => t('Forgot password'),
        'name' => $form['name'],
        'back' => array(
            '#markup' => '<div class="form-item"><div class="description">' . t('Go back to !login', array('!login' => l(t('login'), 'user/login',  array('attributes' => array('title' => t('Back to login')))))) . '</div></div>',
        ),
    );

    unset($form['name']);
}