<?php
/**
 * @file
 * Rijkshuisstijl webform change functions.
 */

function rijkshuisstijl_form_alter(&$form, &$form_state, $form_id) {
  if ($form_id == 'search_block_form') {
    
    
    $form['actions']['submit']['#value'] = t('search');  // Change the text on the submit button
    //$form['actions']['submit']['#attributes']['class'][] = 'search';  // Change class on the submit button
  }
} 
 
/**
 * Implements hook_webform_email
 * We override this function because the XHTML DOCTYPE doesn't
 * allow <input type="email" />.
 */
function rijkshuisstijl_webform_email($variables) {
  $element = $variables['element'];

  // This IF statement is mostly in place to allow our tests to set type="text"
  // because SimpleTest does not support type="email".
  if (!isset($element['#attributes']['type'])) {
    $element['#attributes']['type'] = 'text';
  }

  // Convert properties to attributes on the element if set.
  foreach (array('id', 'name', 'value', 'size') as $property) {
    if (isset($element['#' . $property]) && $element['#' . $property] !== '') {
      $element['#attributes'][$property] = $element['#' . $property];
    }
  }
  _form_set_class($element, array('form-text', 'form-email'));

  return '<input' . drupal_attributes($element['#attributes']) . ' />';
}