<?php 
  if (theme_get_setting( 'title_bar_site_title' ) == 1){
    $title_bar = $site_name;
    $pay_off =   $site_slogan;
  }
  else if (theme_get_setting( 'title_bar_site_title' ) == 0){
    $title_bar = theme_get_setting( 'title_bar' );
    $pay_off =   theme_get_setting( 'pay_off');
  }
  if (!$site_name){
    $site_name = t('Central Government');
  }

?>
<div class="header">
    <?php if (theme_get_setting('system_type') != 'application') : ?><span></span><?php endif; ?>
    <?php if (theme_get_setting('system_logo')): ?>
      <<?php print $site_name_element; ?> class="branding">
          <?php if (!$is_front): ?><a href="<?php print $front_page ?>"><?php endif; ?>
          <?php if (theme_get_setting('system_logo')): ?>
          <?php global $base_url;
          $logo_vars = array(
            'path' => $base_url . '/' . $starterskit['library path'] . '/logos/' . theme_get_setting('system_logo'),
            'width' => 500,
            'height' => 87,
            'alt' => t('Logo of @site_name', array('@site_name' => $site_name)),
            // 'title' => ($site_slogan) ? $site_name . ' - ' . $site_slogan : $site_name,
            'title' => t('Go to the homepage'),
            'attributes' => NULL,
          );
          print theme_image($logo_vars); ?>
          <?php endif; ?>
          <?php if (!$is_front): ?></a><?php endif; ?>
      </<?php print $site_name_element; ?>><?php // END : branding ?> 
    <?php endif; ?>
    
    <?php if ($title_bar OR $pay_off): ?>
      <div class="title_bar">
        <<?php print $title_bar_name_element;?>>
          <?php print $title_bar ?>
          <?php if ($pay_off): ?> <em><?php print $pay_off; ?></em><?php endif; ?>
        </<?php print $title_bar_name_element;?>>
      </div><?php // END : title_bar ?> 
    <?php endif; ?>
    <div class="nav_bar">
        <?php if (isset($main_menu)) : ?>
            <?php print theme('links__system_main_menu', array(
                'links' => $main_menu, 
                    'attributes' => array(
                        'id' => 'main-navigation',
                        'class' => 'nav_main',
                    ),
            )); ?>
        <?php endif; ?>
        <?php print render($page['header']); ?>
    </div><?php // END : nav_bar ?> 
</div><?php // END : header ?>